{% for stamp in pratica.stamps %}
  <div class="shadow px-3 my-3">
    <div class="row">
      <div class="col-12 py-3">
        <h6 class="d-inline text-primary">{{ 'servizio.stamps.card_title' | trans }}</h6>
        <div class="chip chip-primary pull-right">
          <span class="chip-label">{{ ('servizio.stamps.phase.data.'~stamp.phase)|trans }}</span>
        </div>
      </div>
      <div class="col-8">
        <p>
          <span class="d-block"><strong>{{ 'servizio.stamps.reason' | trans }}:</strong> {{ stamp.reason }}</span>
          <span class="d-block"><strong>{{ 'servizio.stamps.number' | trans }}:</strong> {% if stamp.number %}{{ stamp.number }}{% else %} – {% endif %}</span>
          <span class="d-block"><strong>{{ 'servizio.stamps.emission_date' | trans }}:</strong> {% if stamp.emittedAt %}{{ stamp.emittedAt | format_datetime('medium', 'short', locale=app.request.locale) }}{% else %} – {% endif %}</span>
        </p>
      </div>
      <div class="col-4">
        <p class="h3 mt-2 text-monospace text-right text-secondary">{{ stamp.amount|number_format(2) }} €</p>
      </div>
    </div>
  </div>
{% endfor %}
